#pragma once
/*
Parsec QR Library examples for PNR QX29 family of a proximity readers.
Author Dmitry Bogdan <dbogdan@mdo.ru> (c) 2021.

For support please contact: <support@parsec.ru>
*/

#include <stdint.h>

enum {
    QR_GEN_CHANGE_KEY = 0,
    QR_GEN_LIGHT = 1,
    QR_GEN_ID4 = 2,
    QR_GEN_ID7 = 3,
    QR_GEN_ACCESS = 4
};

enum {
    QR_LIGHT_AUTO_BY_MOTION_SENSOR = 0, // by motion sensor
    QR_LIGHT_ON = 1, // always on
    QR_LIGHT_OFF = 2, // always off
    QR_LIGHT_AUTO_BY_ILLUMINANCE = 3, // on when illuminance is lower than threshold
};

enum {
    QR_LIGHT_THERSHOLD_LUX_LOW = 100,
    QR_LIGHT_THERSHOLD_LUX_HIGH = 500
};

enum {
    QR_TARGET_AUTO = 0, // by motion sensor
    QR_TARGET_ON = 1, // always on
    QR_TARGET_OFF = 2, // always off
};


enum {
    QR_RESULT_OK = 0,
    QR_RESULT_ERR,
    QR_RESULT_ERR_INVALID_ARGS,
    QR_RESULT_ERR_INVALID_ACCESS_ARGS,
    QR_RESULT_ENCRYPT_ERR    
};

#define QR_DATA_STRUCT_LEN_BYTES 48LU
#define QR_DATA_STRUCT_LEN_ASCII (QR_DATA_STRUCT_LEN_BYTES * 2)
